WOCAT Website - User Story #1706

Webseite: Sprachversion
20 Jul 2017 12:28 - Anonymous

Status: Closed Start date: 08 Jan 2018
Priority: High Due date: 23 Mar 2018
Assignee: Sebastian Manger % Done: 0%
Category: Estimated time: 120.00 hours
Target version: GIZ Proposal 2017 Spent time: 106.25 hours
Description

Es sollte eine Mdglichkeit programmiert werden, damit es eine (wenn mdglich automatische) Ubersetzungsmdglichkeit gibt, bzw. die
Webseite verschiedene Sprachversionen hat.
> Karte muss immer in jeweiliger Sprach eingefligt werden

History

#1 - 03 Aug 2017 11:34 - Kurt Gerber
- Tracker changed from Feature to User Story

- Project changed from QCAT to WOCAT Website

#2 - 11 Aug 2017 10:43 - Kurt Gerber
- Assignee changed from Kurt Gerber to Sebastian Manger

- Priority changed from Low to High

e Installation Mehrsprachigkeit (Plugin)
¢ Ermoglichen der Erfassung mehrsprachiger Inhalte im CMS
¢ Transifex fUr automatisierte Inhalte

#3 - 12 Aug 2017 16:29 - Sebastian Manger

Intro

Hier fehlt meiner Meinung nach ein 'Konzept', resp. grundsatzliche Uberlegungen. Kurt und ich haben das per Skype grob gemacht, es werden aber
vermutlich noch Unklarheiten auftauchen wahrend der Entwicklung. Ich habe daher bei der Schatzung einen Punkt 'lterationen’ eingeflgt.

Wenn hier getroffene Annahmen nicht zutreffen, misste die Schatzung angepasst werden, dafir haben wir aber wohl keine Zeit mehr! Wenn diese
Schatzung so angenommen wird gehe ich deshalb davon aus, dass alle Annahmen 'abgesegnet' sind und alle weiteren Anpassungen neu geschatzt
werden missen. Ich bin sonst am 14./15.8. erreichbar (am besten SMS, dann komme ich ins Skype), ist doch eine 'wall of text' geworden...

Begriffe:

¢ 'Systemtexte’: im Code hinterlegte Texte wie z.B. fixe Uberschriften. Kann im CMS nicht bearbeitet werden, &ndern aber auch nur sehr selten.
e 'Content'": Inhalte, welche im CMS (wagtail) bearbeitet werden kénnen.

Sprachen (abschliessende Liste):

e Englisch (default), Spanisch, Franzésisch
e Weitere Sprachen sind mdéglich, sind aber mit Entwicklungs-Aufwand verbunden und daher 'spontan' nicht méglich. (Technischer Hintergrund:
pro Sprache eine Entitat auf db-Ebene).

Offene Fragen und Annahmen fiir die Schatzung:

1. Kénnen User eine eigene default-Sprache festlegen?
Annahme: ja. Browser-Sprache beim Login ins Profil schreiben, zusétzlich kann die Sprache unter 'mein Account' festgelegt werden (dann nicht

mehr Gberschreiben beim Login).

1. Landerseiten in nicht-definierten Sprachen. Z.B. was passiert, wenn eine Lénderseite auf Chinesisch erstellt werden soll?
Annahme: ist nicht vorgesehen, und gibt es daher nicht.
Begriindung: da die 'Systemtexte' nur in den drei definierten Sprachen verfigbar sind, gibt es sonst ein 'Mischmasch' der Sprachen auf der Seite
(z.B. Uberschrift Englisch, Text Chinesisch).

. Wie werden die CMS-Inhalte Uibersetzt? Gibt es zwei Systeme fiir die Ubersetzungen (Systemtexte: Transifex / Content: pro Sprache ein Feld im

CMS; z.B. titel (en), titel (fr), titel (es))?

Annahme: nur ein System (Transifex --> kostenlos, solange wocat open source ist)

Begriindung: Wir arbeiten wohl mit den bestehenden Ubersetzerlnnen (von gcat) weiter. Diese sind nun an Transifex gewohnt, daher scheint
das der giinstigere Weg. So miissen die Ubersetzerlnnen nicht noch ins CMS eingefiihrt werden. Ausserdem: sobald Ubersetzerlnnen ins CMS
kénnen, kénnen diese auch Inhalte I16schen... Das bedingt aber die Moglichkeit, dass das Sekretariat per Knopfdruck Texte auf Transifex
aktualisieren kann.

. Das gilt insbesondere fir die News - werden diese Ubersetzt?

Annahme: nicht alle News werden Ubersetzt. Alle News missen aber in Englisch verfligbar sein (z.B auch Anklindigungen fir Blcher aus
Panama).

. Was passiert mit nicht-ibersetzten Content-Texten? Werden diese in der 'default’-Sprache angezeigt oder werden diese Inhalte ausgeblendet?

Ist Englisch obligatorisch, resp. kdnnen z.B. Landerseiten/Projektlanderseiten nur in Spanisch erfasst werden? Oder kann man Inhalte erst dann
freischalten, wenn die Ubersetzung komplett ist?

Annahme: Englisch ist Pflicht fir jede Art von Content. Das ist eine heikle Annahme - kdnnen alle Personen, welche fir L&nderseiten News
abflllen Englisch? Inhalte, welche nicht Gbersetzt sind, werden so immer in der default-Sprache (Englisch) angezeigt.

Begriindung: Nur mit einer immer vorhandenen, obligatorischen Sprache funktioniert der 'Fallback' sauber. Die Annahme ist daher schlicht die
'gunstigste’ Variante fir wocat. Nicht Gbersetzte Inhalte nicht anzuzeigen scheint mir 'falsch’, resp. wir verlieren an Aktualitaten/Inhalte und damit
Grunde fur die User, die Seite Uberhaupt aufzurufen.

Technische Uberlegungen

Da wagtail-modeltranslation (https://github.com/infoportugal/wagtail-modeltranslation) nur mit einer Version > 0.12 von django-modeltranslation l&uft,
und dieses wiederum in der Version 0.12 nur bis und mit django 1.10 unterstitzt (end of life: dezember 2017), sind die Aufwande fir eine manuelle
Implementierung der Inhalts-Ubersetzungen geschétzt.

Bevor das Issue angegangen wird, sollte aber geprift werden, ob diese Pramissen noch stimmen, oder ob wagtail-modeltranslation einen neuen
Release erhalten hat. Hier kénnte man ca. 24h + 12h einsparen!

Schatzung:

Systemtexte Ubersetzen: einmaliger manueller .po-Export und Upload auf Transifex (inkl. Transifex-Setup): 8h
Content Ubersetzen:

Alle Models mit Content anpassen, Methoden Uberschreiben, Test: 24h
Aus den db-Inhalten .po-Files erstellen; diese .po-Files sind nicht im Repo - daher mit 'Archiv': 12h
Abgleich per Button-Klick mit Transifex (mit Env-Var, das soll nur 'live' verfligbar sein): 24h

Sprache pro User speichern: 4h
Darstellung der Ubersetzen Texte im Frontend/auf der Website: 12h
*lterationen: 32h

Schétzung: 116h

#4 - 14 Aug 2017 10:38 - Kurt Gerber
- Estimated time set to 120.00 h

#5 - 18 Aug 2017 12:06 - Kurt Gerber

- Priority changed from High to Normal

Wourde aus dem GIZ Projektantrag rausgenommen, da es zu gross ist.
Es wird auch noch ein intensives Meeting benétigt, wo oben getroffene Annahmen geklart werden missen.

Hauptsachlich zwei Fragen:

1 Was soll iibersetzt werden?

Piece de resistance: Die Landerseiten, resp. von externen Leuten selbst generierte Inhalte.
e In welchen Sprachen werden sie generiert?
e Sollen sie Ubersetzt werden? Wenn nicht, wird die Website 'hasslich’, wenn ja, gibt es standigen Aufwand.

2 Wie soll Gibersetzt werden?

e Transifex oder CMS oder beides?

#6 - 24 Aug 2017 12:16 - Kurt Gerber
- Target version set to GIZ Proposal 2017

#7 - 28 Sep 2017 11:19 - Kurt Gerber

- Due date set to 23 Mar 2018

- Priority changed from Normal to High

- Start date changed from 20 Jul 2017 to 08 Jan 2018

#8 - 28 Sep 2017 11:54 - Kurt Gerber

- Status changed from New to Accepted

#9 - 15 Dec 2017 14:57 - Nina Lauterburg

Wourde besprochen und Lukas wird uns eine Lésung vorschlagen.

#10 - 18 Jan 2018 11:13 - Kurt Gerber

- Status changed from Accepted to In Progress

#11 - 22 Jan 2018 15:08 - Kurt Gerber

Meeting 12.12.2017:
Requirements:

Es werden grundsatzlich nicht alle Seiten in alle Sprachen Ubersetzt.
Landerseiten zum grossen Teil nur einsprachig

Sprache der Landerseiten kann auch eine nichtenglische Sprache sein.
Mehrsprachige Inhalte sollten auf der Seite selbst erfasst werden kénnen.

Decisions:

e Lukas baut die Mehrsprachigkeit selbst, da Wagtail kein eigentliches Tool bietet.

¢ Der Webseiten-Baum wird um die Sprachen erganzt Beispiel: www.wocat.net/wocat-slm wird zu www.wocat.net/en/wcat-sim

Wenn eine Webseite Ubersetzt werden soll, dann wird sie in der neuen Sprache angelegt. Dabei wird zuerst der urspriingliche Inhalt (englisch) in
die neue Seite kopiert.

¢ Danach muss die Seite editiert und dabei Ubersetzt werden.

#12 - 20 Feb 2018 08:55 - Lukas Vonlanthen

- Status changed from In Progress to Feedback

#13 - 06 Mar 2018 09:13 - Lukas Vonlanthen
- Status changed from Feedback to Closed
